org.keycloak.services.resources.admin

## Class RoleResource

- java.lang.Object
- - org.keycloak.services.resources.admin.RoleResource

- Direct Known Subclasses:
    RoleByIdResource, RoleContainerResource

      public abstract class RoleResource
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RealmModel` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleResource(RealmModel realm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addComposites(List<RoleRepresentation> roles, RoleModel role)`
    `protected void` | `deleteComposites(List<RoleRepresentation> roles, RoleModel role)`
    `protected void` | `deleteRole(RoleModel role)`
    `protected Set<RoleRepresentation>` | `getApplicationRoleComposites(ApplicationModel app, RoleModel role)`
    `protected Set<RoleRepresentation>` | `getRealmRoleComposites(RoleModel role)`
    `protected RoleRepresentation` | `getRole(RoleModel roleModel)`
    `protected Set<RoleRepresentation>` | `getRoleComposites(RoleModel role)`
    `protected void` | `updateRole(RoleRepresentation rep, RoleModel role)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmModel realm

  - ### Constructor Detail

    - #### RoleResource

          public RoleResource(RealmModel realm)

  - ### Method Detail

    - #### getRole

          protected RoleRepresentation getRole(RoleModel roleModel)

    - #### deleteRole

          protected void deleteRole(RoleModel role)

    - #### updateRole

          protected void updateRole(RoleRepresentation rep,
                        RoleModel role)

    - #### addComposites

          protected void addComposites(List<RoleRepresentation> roles,
                           RoleModel role)

    - #### getRoleComposites

          protected Set<RoleRepresentation> getRoleComposites(RoleModel role)

    - #### getRealmRoleComposites

          protected Set<RoleRepresentation> getRealmRoleComposites(RoleModel role)

    - #### getApplicationRoleComposites

          protected Set<RoleRepresentation> getApplicationRoleComposites(ApplicationModel app,
                                                             RoleModel role)

    - #### deleteComposites

          protected void deleteComposites(List<RoleRepresentation> roles,
                              RoleModel role)

Copyright © 2015. All Rights Reserved.